import { Textract } from 'aws-sdk';
import PageBlockNode from '../model/PageBlockNode';
import LineBlockNode from '../model/LineBlockNode';
import { BlockParser, GeometryParser, BlockIdParser } from './Factory';
export default class PageParser implements BlockParser<PageBlockNode> {
    private readonly lineParser;
    private readonly geometryParser;
    private readonly blockIdParser;
    private readonly blockMap;
    constructor(lineParser: BlockParser<LineBlockNode>, geometryParser: GeometryParser, blockIdParser: BlockIdParser, blockMap: Map<string, Textract.Block>);
    process(page: Textract.Block): PageBlockNode;
}
