"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var WordParser_1 = __importDefault(require("./WordParser"));
var LineParser_1 = __importDefault(require("./LineParser"));
var PageParser_1 = __importDefault(require("./PageParser"));
var porpertyParsers_1 = require("./porpertyParsers");
var DocumentParser_1 = require("./DocumentParser");
exports.pageParserFactory = function (blocks) {
    var wordParser = new WordParser_1.default(porpertyParsers_1.geometryParser, porpertyParsers_1.blockIdParser);
    var lineParser = new LineParser_1.default(wordParser, porpertyParsers_1.geometryParser, porpertyParsers_1.blockIdParser, blocks);
    return new PageParser_1.default(lineParser, porpertyParsers_1.geometryParser, porpertyParsers_1.blockIdParser, blocks);
};
exports.default = new DocumentParser_1.DocumentParser(exports.pageParserFactory);
